qpid::framing::Array Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends
qpid::framing::Array Class Reference

`#include <qpid/framing/Array.h>`

List of all members.

## Public Types
typedef boost::shared_ptr < FieldValue > | ValuePtr
typedef std::vector< ValuePtr > | ValueVector
typedef ValueVector::const_iterator | const_iterator
typedef ValueVector::iterator | iterator
## Public Member Functions
uint32_t | encodedSize () const
void | encode (Buffer &buffer) const
void | decode (Buffer &buffer)
int | count () const
bool | operator== (const Array &other) const
| Array ()
| Array (TypeCode type)
| Array (uint8_t type)
| Array (const std::vector< std::string > &in)
QPID_COMMON_INLINE_EXTERN TypeCode | getType () const
QPID_COMMON_INLINE_EXTERN const_iterator | begin () const
QPID_COMMON_INLINE_EXTERN const_iterator | end () const
QPID_COMMON_INLINE_EXTERN iterator | begin ()
QPID_COMMON_INLINE_EXTERN iterator | end ()
QPID_COMMON_INLINE_EXTERN ValuePtr | front () const
QPID_COMMON_INLINE_EXTERN ValuePtr | back () const
QPID_COMMON_INLINE_EXTERN size_t | size () const
void | insert (iterator i, ValuePtr value)
QPID_COMMON_INLINE_EXTERN void | erase (iterator i)
QPID_COMMON_INLINE_EXTERN void | push_back (ValuePtr value)
QPID_COMMON_INLINE_EXTERN void | pop_back ()
QPID_COMMON_INLINE_EXTERN void | add (ValuePtr value)
template<class T >
void | collect (std::vector< T > &out) const
## Friends
std::ostream & | operator<< (std::ostream &out, const Array &body)

## Member Typedef Documentation

typedef ValueVector::const_iterator qpid::framing::Array::const_iterator

Definition at line 42 of file Array.h.

typedef ValueVector::iterator qpid::framing::Array::iterator

Definition at line 43 of file Array.h.

typedef boost::shared_ptr<FieldValue> qpid::framing::Array::ValuePtr

Definition at line 40 of file Array.h.

typedef std::vector<ValuePtr> qpid::framing::Array::ValueVector

Definition at line 41 of file Array.h.

## Constructor & Destructor Documentation

qpid::framing::Array::Array | ( |  | ) |

qpid::framing::Array::Array | ( | TypeCode | type | ) |

qpid::framing::Array::Array | ( | uint8_t | type | ) |

qpid::framing::Array::Array | ( | const std::vector< std::string > & | in | ) |

## Member Function Documentation

QPID_COMMON_INLINE_EXTERN void qpid::framing::Array::add | ( | ValuePtr | value | ) | `[inline]`

Definition at line 76 of file Array.h.

QPID_COMMON_INLINE_EXTERN ValuePtr qpid::framing::Array::back | ( |  | ) | const`[inline]`

Definition at line 67 of file Array.h.

QPID_COMMON_INLINE_EXTERN const_iterator qpid::framing::Array::begin | ( |  | ) | const`[inline]`

Definition at line 61 of file Array.h.

QPID_COMMON_INLINE_EXTERN iterator qpid::framing::Array::begin | ( |  | ) | `[inline]`

Definition at line 63 of file Array.h.

template<class T >

void qpid::framing::Array::collect | ( | std::vector< T > & | out | ) | const`[inline]`

Definition at line 79 of file Array.h.

int qpid::framing::Array::count | ( |  | ) | const

void qpid::framing::Array::decode | ( | Buffer & | buffer | ) |

void qpid::framing::Array::encode | ( | Buffer & | buffer | ) | const

uint32_t qpid::framing::Array::encodedSize | ( |  | ) | const

QPID_COMMON_INLINE_EXTERN const_iterator qpid::framing::Array::end | ( |  | ) | const`[inline]`

Definition at line 62 of file Array.h.

QPID_COMMON_INLINE_EXTERN iterator qpid::framing::Array::end | ( |  | ) | `[inline]`

Definition at line 64 of file Array.h.

QPID_COMMON_INLINE_EXTERN void qpid::framing::Array::erase | ( | iterator | i | ) | `[inline]`

Definition at line 71 of file Array.h.

QPID_COMMON_INLINE_EXTERN ValuePtr qpid::framing::Array::front | ( |  | ) | const`[inline]`

Definition at line 66 of file Array.h.

QPID_COMMON_INLINE_EXTERN TypeCode qpid::framing::Array::getType | ( |  | ) | const`[inline]`

Definition at line 58 of file Array.h.

void qpid::framing::Array::insert | ( | iterator | i,
|  | ValuePtr | value
| ) |  |

bool qpid::framing::Array::operator== | ( | const Array & | other | ) | const

QPID_COMMON_INLINE_EXTERN void qpid::framing::Array::pop_back | ( |  | ) | `[inline]`

Definition at line 73 of file Array.h.

QPID_COMMON_INLINE_EXTERN void qpid::framing::Array::push_back | ( | ValuePtr | value | ) | `[inline]`

Definition at line 72 of file Array.h.

QPID_COMMON_INLINE_EXTERN size_t qpid::framing::Array::size | ( |  | ) | const`[inline]`

Definition at line 68 of file Array.h.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | out,
|  | const Array & | body
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- qpid/framing/Array.h